import request from "@/utils/request";

// 查询钻头数据列表
export function listJsha(query) {
  return request({
    url: "/system/jshaPdc/list",
    method: "get",
    params: query,
  });
}

// 查询钻头数据详细
export function getJsha(query) {
  return request({
    url: "/system/jshaPdc/getInfo",
    method: "get",
    params: query,
  });
}

// 新增钻头数据
export function addJsha(data) {
  return request({
    url: "/system/jshaPdc",
    method: "post",
    data: data,
  });
}

// 修改钻头数据
export function updateJsha(data) {
  return request({
    url: "/system/jshaPdc",
    method: "put",
    data: data,
  });
}

// 删除钻头数据
export function delJsha(query) {
  return request({
    url: "/system/jshaPdc/remove",
    method: "delete",
    params: query,
  });
}
//查询特征数据下拉框
export function listTzsj(query) {
  return request({
    url: "/system/ztxxTzsj/selectList",
    method: "get",
    params: query,
  });
}
// 查询多井钻头数据列表
export function listDjJsha(query) {
  return request({
    url: "/system/jshaPdc/getListByZtcc",
    method: "get",
    params: query,
  });
}